unit UPrincipal;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    edtNumero1: TEdit;
    edtNumero2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    edtResultado: TEdit;
    Label5: TLabel;
    btnSomar: TButton;
    procedure btnSomarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses UOperacoes;

procedure TForm1.btnSomarClick(Sender: TObject);
var
  ObjOperacoes: TOperacoes;
  Numero1: Integer;
  Numero2: Integer;
  Resultado: Integer;
begin
  Numero1 := StrToInt(edtNumero1.Text);
  Numero2 := StrToInt(edtNumero2.Text);

  ObjOperacoes := TOperacoes.Create;

  try
    Resultado := ObjOperacoes.SomarDoisNumeros(Numero1, Numero2);
    edtResultado.Text := IntToStr(Resultado);
  finally
    FreeAndNil(ObjOperacoes);
  end;
end;

end.
