unit uPrincipal;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, 
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  System.Rtti, FMX.Edit, FMX.Layouts, FMX.Grid, Data.Bind.Components, Data.Bind.ObjectScope, Data.Bind.EngExt,
  Fmx.Bind.DBEngExt, Fmx.Bind.Grid, System.Bindings.Outputs, Fmx.Bind.Editors,
  Data.Bind.Grid, Data.Bind.GenData,

  uPropriedades ;

type
  TfPrincipal = class(TForm)
    grProperties: TGrid;
    edProperty: TEdit;
    edValue: TEdit;
    lbProperty: TLabel;
    lbValue: TLabel;
    AdapterBindSource1: TAdapterBindSource;
    BindingsList1: TBindingsList;
    LinkGridToDataSourceAdapterBindSource1: TLinkGridToDataSource;
    DataGeneratorAdapter1: TDataGeneratorAdapter;
    LinkControlToField1: TLinkControlToField;
    LinkControlToField2: TLinkControlToField;
    procedure AdapterBindSource1CreateAdapter(Sender: TObject;
      var ABindSourceAdapter: TBindSourceAdapter);
  private
    { Private declarations }
    FListaPropriedades  : TPropertyList<TPropertyInfo>;
  public
    { Public declarations }
  end;

var
  fPrincipal: TfPrincipal;

implementation

{$R *.fmx}

procedure TfPrincipal.AdapterBindSource1CreateAdapter(Sender: TObject; var ABindSourceAdapter: TBindSourceAdapter);
begin
  FListaPropriedades  := TPropertyList<TPropertyInfo>.Create;
  FListaPropriedades.SetPair('Nome',    'Elazar');
  FListaPropriedades.SetPair('City',    'Encantado');
  FListaPropriedades.SetPair('Twitter', '@razalE');
  ABindSourceAdapter :=  TListBindSourceAdapter<TPropertyInfo>.Create(Self, FListaPropriedades , True);
end;

end.
