unit uPropriedades;

interface

uses
  Generics.Collections;

type

  TPropertyInfo = class(TObject)
  private
    FName  : String;
    FValue : String;
  public
    property Name  : String read FName  write FName;
    property Value : String read FValue write FValue;
  end;

  TPropertyList<T : TPropertyInfo> = class(TObjectList<T>)
  private
  public
    procedure SetPair(const aName  : String;
                      const aValue : String);
  end;

implementation

{ TPropertyList<T> }
procedure TPropertyList<T>.SetPair(const aName  : String;
                                   const aValue : String);
var
  FItem : TPropertyInfo;
begin
  FItem       := TPropertyInfo.Create;
  FItem.Name  := aName;
  FItem.Value := aValue;
  Add(FItem)
end;

end.
